# Method: projects.locations.instances.snapshots.patch

- [HTTP request](https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.snapshots/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.snapshots/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.snapshots/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.snapshots/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.snapshots/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.snapshots/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.snapshots/patch#try-it)

Updates the settings of a specific snapshot.

### HTTP request

`PATCH https://file.googleapis.com/v1beta1/{snapshot.name=projects/*/locations/*/instances/*/snapshots/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `snapshot.name` | `string` Output only. The resource name of the snapshot, in the format `projects/{projectId}/locations/{locationId}/instances/{instanceId}/snapshots/{snapshotId}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Mask of fields to update. At least one path must be supplied in this field. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.snapshots#Snapshot`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/filestore/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).